<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars_t.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_t"></a>- t -</h3><ul>
<li>TkPair_cur
: <a class="el" href="struct_token_location_info.html#ab1e99b0ff0197e966d3aedafc81d9455">TokenLocationInfo</a>
</li>
<li>TkPair_vec
: <a class="el" href="struct_token_location_info.html#a4765bde53e9f9445a1c9d805ce38fee9">TokenLocationInfo</a>
</li>
<li>TopLevelText
: <a class="el" href="struct_text_pos_analysis.html#ad89fc011b259989af80a6072aa6bf61f">TextPosAnalysis</a>
</li>
<li>tree
: <a class="el" href="struct_binary_op_properties.html#ab5fdccdcf10bc5f1f94a62504b5253a5">BinaryOpProperties</a>
, <a class="el" href="struct_sub_level_properties.html#a0cdb22aa96f864d2b4fc2706cd3007dc">SubLevelProperties</a>
</li>
<li>Type
: <a class="el" href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">Variable_type</a>
</li>
<li>TypeClassName
: <a class="el" href="struct_type_properties.html#a8077db0c71133414416372a8b1d078b0">TypeProperties</a>
</li>
<li>TypeClassNameDesugar
: <a class="el" href="struct_type_properties.html#ac1fbdd003235147a32ab6ce7eeb7fcab">TypeProperties</a>
</li>
<li>TypeEnumerator
: <a class="el" href="struct_type_properties.html#a7722c49b99b8fc7c80993c6a74fac2a3">TypeProperties</a>
</li>
<li>TypeIdentifierName
: <a class="el" href="struct_type_properties.html#ade01cc4828d85363bb9230454030402d">TypeProperties</a>
</li>
<li>TypeIsMacro
: <a class="el" href="struct_type_properties.html#a94c15b5c2e6f0969c05fa6c220060890">TypeProperties</a>
</li>
<li>TypeLocPosition
: <a class="el" href="struct_var_decl_properties.html#a55567e3131b24ca2b507a29c59fb13fe">VarDeclProperties</a>
</li>
<li>TypePosition
: <a class="el" href="struct_type_properties.html#a866d9efe64ae6b7ce5c7bc62e4b0e898">TypeProperties</a>
</li>
<li>TypeProperties_vec
: <a class="el" href="struct_var_decl_properties.html#a5d05f3d8f19549c807f24abc3f253845">VarDeclProperties</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
